# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "either"
version = "1.2.0"
authors = ["bluss"]
description = "The enum `Either`, with variants `Left` and `Right` and trait implementations including Iterator, Read, Write.\n\nEither has methods that are similar to Option and Result.\n\nIncludes convenience macros `try_left!()` and `try_right!()` to use for short-circuiting logic."
documentation = "https://docs.rs/either/1/"
keywords = ["data-structure", "no_std"]
categories = ["data-structures", "no-std"]
license = "MIT/Apache-2.0"
repository = "https://github.com/bluss/either"
[package.metadata.release]
no-dev-version = true

[features]
use_std = []
default = ["use_std"]
